#
# Conditional build:
%bcond_without  python2 # Python 2.x module
%bcond_without  python3 # Python 3.x module

%define	module	astroid
Summary:	Rebuild a new abstract syntax tree from Python's AST
Summary(pl.UTF-8):	Tworzenie nowego abstrakcyjnego drzewa składniowego z pythonowego AST
Name:		python-%{module}
Version:	1.3.2
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/a/astroid/astroid-%{version}.tar.gz
# Source0-md5:	2ab96129a977b6eba27765a15d1a9bf2
URL:		http://www.astroid.org/
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules >= 1:2.5
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules >= 1:3.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%endif
Requires:	python-logilab-common >= 0.60.0
Requires:	python-modules
Obsoletes:	python-logilab-astng
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The aim of this module is to provide a common base representation of
Python source code for projects such as pychecker, pyreverse,
pylint... Well, actually the development of this library is
essentially governed by pylint's needs. It used to be called
logilab-astng.

%description -l pl.UTF-8
Celem tego modułu jest dostarczenie wspólnej bazowej reprezentacji
kodu źródłowego Pythona dla projektów takich jak pychecker, pyreverse,
pylint... Właściwie tworzenie tej biblioteki jest istotnie kierowane
potrzebami pylinta. Dawniej nazywała się logilab-astng.

%package -n python3-%{module}
Summary:	Rebuild a new abstract syntax tree from Python's AST
Summary(pl.UTF-8):	Tworzenie nowego abstrakcyjnego drzewa składniowego z pythonowego AST
Group:		Development/Languages/Python
Requires:	python3-logilab-common >= 0.60.0
Requires:	python3-modules
Obsoletes:	python3-logilab-astng

%description -n python3-%{module}
The aim of this module is to provide a common base representation of
Python source code for projects such as pychecker, pyreverse,
pylint... Well, actually the development of this library is
essentially governed by pylint's needs. It used to be called
logilab-astng.

%description -n python3-%{module} -l pl.UTF-8
Celem tego modułu jest dostarczenie wspólnej bazowej reprezentacji
kodu źródłowego Pythona dla projektów takich jak pychecker, pyreverse,
pylint... Właściwie tworzenie tej biblioteki jest istotnie kierowane
potrzebami pylinta. Dawniej nazywała się logilab-astng.

%prep
%setup -q -n %{module}-%{version}
# drop python 2.5 egg deps
%{__rm} */*/*/*/*/*py2.5.egg

%build
%if %{with python2}
%{__python} setup.py build
%endif
%if %{with python3}
%{__python3} setup.py build --build-base=build3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%{__python3} setup.py build --build-base=build3 install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%endif

%if %{with python2}
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{py_sitescriptdir}/astroid
%{py_sitescriptdir}/astroid-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc ChangeLog README
%{py3_sitescriptdir}/astroid
%{py3_sitescriptdir}/astroid-%{version}-py*.egg-info
%endif
%changelog
* Tue Nov 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-astroid.git;a=log;h=master

* Tue Nov 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 389dcac
- up to 1.3.2

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a76083c
- python 3.4
- release 2 (by relup.sh)

* Thu May 08 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> d2cf5d5
- Version: 1.1.1

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 7e600b4
- updated to 1.0.1

* Sat Dec 14 2013 Jan Rękorajski <baggins@pld-linux.org> ea88bfe
- obsolete logilab-astng
- rel 2

* Sun Sep 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 86ae2ef
- updated pl descriptions and logilab-common dependencies

* Sat Sep 07 2013 Artur Frysiak <artur@frysiak.net> 8dd567a
- Adapterized

* Sat Sep 07 2013 Artur Frysiak <artur@frysiak.net> 935ded5
- Renamed from logilab-astng to astroid, up to 1.0.0

* Mon May 27 2013 Jacek Konieczny <jajcus@jajcus.net> 8f19419
- bconds fix

* Mon May 27 2013 Jacek Konieczny <jajcus@jajcus.net> 797e8d5
- Python3 support

* Wed May 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f5edbec
- rel 2; avoid python(abi) = 2.5 dependency

* Wed May 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e3e382
- up to 0.24.3

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> f33b824
- License is LGPL; removed obsoelete rm

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 38afd3c
- up to 0.23.1

* Sat Sep 03 2011 Jacek Konieczny <jajcus@pld-linux.org> 9dbbe9f
- Version: 0.22.0
- absolute_import patch dropped (applied upstream)

* Fri Jul 08 2011 Jacek Konieczny <jajcus@pld-linux.org> ff00334
- absolute_import patch updated
- Release: 3

* Fri Jul 08 2011 Jacek Konieczny <jajcus@pld-linux.org> 514da97
- Version: 0.21.1
- absolute import handling fix (fixes the case when pylint would report 'module imports itself'
when absolute import matches a sibling module)

* Mon Dec 27 2010 Patryk Zawadzki <patrys@room-303.com> 5e63351
- 0.21.0

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> dbbed6f
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> eb00f3c
- release 2

